Skip to main content
GET
/
v2
/
agents
/
{agentId}
/
eval-rubrics
Get Eval Rubrics
curl --request GET \
  --url https://api.duvo.ai/v2/agents/{agentId}/eval-rubrics \
  --header 'Authorization: Bearer <token>'
{
  "rubrics": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "title": "<string>",
      "description": "<string>",
      "sort_order": 123,
      "deleted_at": "<string>"
    }
  ],
  "platform_rubrics": [
    {
      "key": "<string>",
      "label": "<string>",
      "description": "<string>",
      "cause": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agentId
string<uuid>
required

The agent's unique identifier (Assignment ID)

Query Parameters

build_id
string<uuid>

Return rubrics for this specific build (the revision a Run ran against). Defaults to the agent's live build when omitted.

Response

Default Response

rubrics
object[]
required
platform_rubrics
object[]
required